restinio::http_field_parsers::impl::token_producer_t Class Reference

A producer for token. More...

`#include <basics.hpp>`

Inheritance diagram for restinio::http_field_parsers::impl::token_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const

## Static Private Member Functions

static RESTINIO_NODISCARD optional_t< parse_error_t > | try_parse_value (source_t &from, std::string &accumulator)
static RESTINIO_NODISCARD constexpr bool | is_token_char (const char ch) noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< std::string >
using | result_type = std::string
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer for token.

If a token is found in the input stream it produces std::string with the value of that token.

See: https://tools.ietf.org/html/rfc7230

Since
  v.0.6.1

Definition at line 522 of file basics.hpp.

## Member Function Documentation

## is_token_char()

static RESTINIO_NODISCARD constexpr bool restinio::http_field_parsers::impl::token_producer_t::is_token_char | ( | const char | ch | ) |

inlinestaticconstexprprivatenoexcept

Definition at line 560 of file basics.hpp.

## try_parse()

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::impl::token_producer_t::try_parse | ( | source_t & | from | ) | const

inline

Definition at line 568 of file basics.hpp.

## try_parse_value()

static RESTINIO_NODISCARD optional_t< parse_error_t > restinio::http_field_parsers::impl::token_producer_t::try_parse_value | ( | source_t & | from,
|  | std::string & | accumulator
| ) |  |

inlinestaticprivate

Definition at line 526 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp